Subject: Dumbest Quote of the Year....
From: [email-masked]
Date: Wed, 25 Dec 1996 18:35:36 -0500

DCQ's  choice for dumbest Quote of the Year...

"People don't understand the psychology of [Bill] Clinton. You know he's an
adult child of an alcoholic. He doesn't take to being bashed over and over
again for gays in the military, which was a debacle. He deserves to be given
credit for what he has done." 

--Human Rights Campaign Executive Director Elizabeth Birch in the November
issue of the Michigan gay newspaper Between The Lines.

Note from Steve Michael.   I am really perplexed.  Does Elizabeth Birch mean
to say that we have to go easy on Bill Clinton because his (step)father was
an alcoholic?  This is about as acceptable as Dan White's "Twinkie Defense."
 If a Gay basher has an alcolholic father... if Jesse Hems or Bob Smith has
an alcoholic father....well, you know what I mean.    The HRC has got to get
a clue.  This movement is about our equal rights, liberation and an AIDS
cure...not about electing, re-electing and doing damage control for any
heterosexual politician.